About This File

Genesys Desktop 7.6 Multimedia .NET Application Sample Help

Copyright © 2006–2008 Genesys Telecommunications Laboratories, Inc. All rights reserved.
gd_sampl_media-dotnet_help_08-2008_v7.6.101.00

Any authorized distribution of any copy of this code (including any related documentation) must reproduce the following restrictions, disclaimer and copyright notice:

The Genesys name, trademarks and/or logo(s) of Genesys shall not be used to name (even as a part of another name), endorse and/or promote products derived from this code without prior written permission from Genesys Telecommunications Laboratories, Inc.

The use, copy, and/or distribution of this code is subject to the terms of the Genesys Developer License Agreement. This code shall not be used, copied, and/or distributed under any other license agreement.

THIS CODE IS PROVIDED BY GENESYS TELECOMMUNICATIONS LABORATORIES, INC. (“GENESYS”) “AS IS” WITHOUT ANY WARRANTY OF ANY KIND. GENESYS HEREBY DISCLAIMS ALL EXPRESS, IMPLIED, OR STATUTORY CONDITIONS, REPRESENTATIONS AND WARRANTIES WITH RESPECT TO THIS CODE (OR ANY PART THEREOF), INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE OR NON-INFRINGEMENT. GENESYS AND ITS SUPPLIERS SHALL NOT BE LIABLE FOR ANY DAMAGE SUFFERED AS A RESULT OF USING THIS CODE. IN NO EVENT SHALL GENESYS AND ITS SUPPLIERS BE LIABLE FOR ANY DIRECT, INDIRECT, CONSEQUENTIAL, ECONOMIC, INCIDENTAL, OR SPECIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, ANY LOST REVENUES OR PROFITS).

Copyright © 2006–2008 Genesys Telecommunications Laboratories, Inc. All rights reserved.

The information contained herein is proprietary and confidential and cannot be disclosed or duplicated without the prior written consent of Genesys Telecommunications Laboratories, Inc.

About Genesys

Genesys Telecommunications Laboratories, Inc., a subsidiary of Alcatel-Lucent, is 100% focused on software for call centers. Genesys recognizes that better interactions drive better business and build company reputations. Customer service solutions from Genesys deliver on this promise for Global 2000 enterprises, government organizations, and telecommunications service providers across 80 countries, directing more than 100 million customer interactions every day. Sophisticated routing and reporting across voice, e-mail, and Web channels ensure that customers are quickly connected to the best available resource—the first time. Genesys offers solutions for customer service, help desks, order desks, collections, outbound telesales and service, and workforce management. Visit www.genesyslab.com for more information.

Each product has its own documentation for online viewing on the Genesys Technical Support website or on the Genesys Documentation Library DVD or Developer Documentation CD, available from Genesys upon request. For more information, contact your sales representative.

Notice

Although reasonable effort is made to ensure that the information in this document is complete and accurate at the time of release, Genesys Telecommunications Laboratories, Inc., cannot assume responsibility for any existing errors. Changes and/or corrections to the information contained in this document may be incorporated in future versions.

Your Responsibility for Your System’s Security

You are responsible for the security of your system. Product administration to prevent unauthorized use is your responsibility. Your system administrator should read all documents provided with this product to fully understand the features available that reduce your risk of incurring charges for unlicensed use of Genesys products.

Trademarks

Genesys and the Genesys logo are registered trademarks of Genesys Telecommunications Laboratories, Inc., in the USA and/or other countries. All other trademarks and trade names referred to in this document are the property of other companies.

Technical Support from VARs

If you have purchased this software from a value-added reseller (VAR), please contact the VAR for technical support.

Technical Support from Genesys

If you have purchased support directly from Genesys, please contact Genesys Technical Support at the following regional numbers:

North and Latin America | 888-369-5555 or 506-674-6767 | support@genesyslab.com
Europe, Middle East, and Africa | +44-(0)-1276-45-7002 | support@genesyslab.co.uk
Asia Pacific | +61-7-3368-6868 | support@genesyslab.com.au
Japan | +81-3-6361-8950 | support@genesyslab.co.jp

Before contacting technical support, please refer to the Genesys Technical Support Guide for complete contact information and procedures.

Ordering Information

For complete information on ordering Genesys products, please see Licensing Genesys Products (for 6.5 and earlier products) or Genesys 7 Licensing Guide (for 7.0 and later products).

Released by

Genesys Telecommunications Laboratories, Inc.
www.genesyslab.com


Overview

This document is for the Genesys Desktop Multimedia .NET Sample Application, which is based on the Genesys Desktop .NET Toolkit, Release 7.6.

To function correctly, this sample application requires that some configuration options be set in the Agent Interaction Service application. Refer to the Genesys Desktop .NET Toolkit Developer's Guide for additional configuration information.

This sample application enables you to:

  • Create voice, e-mail, and Open Media interactions.

  • Receive voice, e-mail, and Open Media interactions.

  • Use Outbound, proactive outbound, and callback functionalities.

  • Use Contact functionalities—get contact information for an interaction, create a new contact entry, delete a contact from the database, merge contacts (merge one interaction from a contact with another, or merge two contacts).

  • Get History information for a contact.

  • Use Collaboration functionalities (receive, recall, or send collaboration invitations; and a history of a collaboration thread is available).

  • Get associated information for an interaction (Notepad, Attached Data, Custom Data, Auto-Suggest).

  • Use Standard responses for e-mail.

  • Access the content of a Workbin—including draft e-mails and collaboration invitations, which can be displayed at any time.


Printing This Help File

You can print a single topic (page), or all of the topics (pages) within a single book. You cannot, however, print the entire Help file at once.

On the Table of Contents, select a topic or book and then do the following:

  1. Click the Print button.

  2. In the Print Topics dialog box, select either:

    • Print the selected topic.

    • Print the selected heading and all subtopics.

  3. Click OK.


Multimedia Sample Application

Overview: Multimedia Sample Application

This section provides an overview of how to work with the sample application. It includes a guide to the user interface.


Multimedia Sample Application

Security Banner

This sample provides you with information on the functionality of the security banner as well a code sample to get you started creating your own security banner for your custom applications.

Many of the Genesys Windows-based GUI applications give you the option of including this functionality during installation. Starting with 7.6, the Multimedia Sample Application provides an example of an optional, customizable security banner that is displayed when you log into the application. If you configure your custom-built application to use the security banner feature, the Security Banner dialog box is displayed prior to the Login dialog box.

The security banner has many customizable options, including:

  • Optional visibility.

  • A title, stored as text, that can be displayed at the top of the dialog box.

  • Content of the dialog box, which can be specified by storing the URL information of the document. You may specify multiple URLs to achieve redundancy in case a URL cannot be retrieved.

  • An error page, which can be displayed on failure to reach the target URL(s).

To close the Security Banner dialog box and exit the application:

  • Click Reject.

To close the Security Banner dialog box and proceed to the Login dialog box:

  • Click Accept.

I Accept. Do not show this again. check box

  • If you check this checkbox and then click Accept, the security banner never presents itself to you again. Instead, the regular Login dialog box is displayed whenever you start this application.

  • If you do not check this checkbox, the security banner is displayed each time you use the application.


Multimedia Sample Application

Starting the Multimedia Sample Application

To start the multimedia sample application, you must log in as an agent and make yourself available.

  1. Launch the DotNetMultimediaSample.exe application. The Login dialog box is displayed.

If necessary, click Details to expand the lower half of the Login dialog box.

Click Cancel to close the Login dialog box.

  2. Enter the following login information:

    • User name/password—Your user credentials.

    • URL—The path to the Genesys Integration Server.

    • Agent login/password—Your agent login credentials.

    • Queue—The queue from which calls are distributed to you.

    • Place—The location that contains the DN on which you operate.

  3. Click OK. The user interface of the multimedia sample application is displayed.

  4. Click [image] to make yourself available.

Click [image] to make yourself unavailable and log out from the multimedia sample application.


Using

Multimedia Sample Application

Using the Multimedia Sample Application

The multimedia sample application is designed to handle three types of interactions: e-mail, voice, and Open Media.

The multimedia sample application has four main parts:

  • Main Toolbar

  • Batch Component

  • Main Panel

  • AgentPlaceStatus Component


Multimedia Sample Application

Interface

The main form of the Multimedia Sample application, shown below, contains several Genesys Desktop .NET Toolkit components.

The functionality of the main toolbar, located at the top of the main form, is explained below.

The main toolbar enables you to:

  • Show the AgentPlaceStatus component.

  • Perform Login and Ready operations.

  • Perform NotReady and Logout operations.

  • Create a new voice interaction.

  • Create a new e-mail interaction.

  • Access the Contact panel.

  • Access the Workbin panel, or directly access workbin interactions (Draft and Collaboration).

  • Access outbound campaigns (obtain a campaign interaction for a campaign started in preview mode).

  • Display information about the application's version.

  • Display this help file.

When you start the Multimedia sample application, it:

  • Initializes the Connection and Agent components.

  • Displays the LoginForm to get connection information (URL for the GIS application, Agent ID, Agent Password, Place, and Queue).

  • Uses the Connection component to establish a connection to GIS.

  • If this GIS connection succeeds, the sample application initializes any other .NET Toolkit components used in the main form.

The sample application is then ready to work, as displayed below.


Multimedia Sample Application

Main Toolbar

Each of the multimedia buttons has a particular action, which is indicated by its tooltip.

This table identifies each button in the main toolbar:

Button | Name | Description
 | Show/Hide AgentPlaceStatus | Shows or hides the AgentPlaceStatus component.
 | Login and Ready | Logs you in and makes your status available.
 | Not Ready and Logout | Makes your status unavailable and logs you out.
 | New phone call | Creates a new voice interaction.
 | New Email | Creates a new e-mail interaction.
 | Contact | Accesses the Contact panel.
 | Workbin | Accesses the Workbin panel.
 | Get Campaign Contact | Accesses the Outbound Voice Interactions component.
 | About | Shows or hides the About Form window.
 | Help | Displays this Help file.

Note: Each of these buttons also has a keyboard shortcut.


Shortcuts

Multimedia Sample Application

Keyboard Shortcuts

This table displays and identifies each button in the main toolbar, and specifies its corresponding keyboard shortcut:

Button | Name | Keyboard Shortcut
 | Show/Hide AgentPlaceStatus | Ctrl + Shift + A
 | Login and Ready | Ctrl + L
 | Not Ready and Logout | Ctrl + Shift + L
 | New phone call | Ctrl + Shift + V
 | New Email | Ctrl + Shift + E
 | Contact | Ctrl + Shift + C
 | Workbin | Ctrl + Shift + W
 | Get Campaign Contact | Ctrl + Shift + O
 | About | Ctrl + A
 | Help | Ctrl + H


Batch

Multimedia Sample Application

Batch Component

The Batch component displays icons for the type of interaction: voice (phone), e-mail (envelope), or Open Media interactions (speech-bubble) like short message service (SMS) or proactive outbound.

The following table shows each icon and identifies the corresponding interaction type:

Button | Name | Description
 | New Message | A new e-mail interaction is in progress.
 | Call Waiting | A voice interaction is waiting on hold.
 | Call Connecting | A voice interaction is connecting parties.
 | Call Ended | A voice interaction is terminated.
 | New Open Media | A new Open Media interaction is in progress.

Note: If the Batch component becomes too full, you should remove interactions that have been completed.


AgentPlaceStatus

Multimedia Sample Application

AgentPlaceStatus Component

The AgentPlaceStatus component displays information about your status on the specified switch.

The Agent Place Status tab displays the types of media that are available (such as voice, e-mail, Open Media, and proactive outbound), and the ready/not ready status of each.

Note: You may need to click [image] again to ensure that all media types are ready.

The Message History tab displays potential error or information messages. For example, if the GIS application is stopped, the tab will display The Server Disconnects.


Interactions

Overview: Interactions

This section provides an overview of interactions. It includes information about the following subjects:

  • Using the Batch Components.

  • Voice Interactions.

  • E-mail Interactions.

  • Open Media Interactions.

  • Merging Interactions.

  • Removing Interactions


Voice Interaction

Interactions > Voice Interactions

Overview: Voice Interactions

Voice interactions are identified by the phone icon in the Batch component (as shown in the graphic below).

From here, you can:

  • Make a new phone call.

  • Answer an incoming phone call.

  • Place a phone call on hold.

  • Transfer a phone call.

  • Create a conference call.

  • Use the callback feature.

  • Use outbound voice interactions.

  • Use proactive outbound Interactions.


New Phone

Interactions > Voice Interactions

Making a New Phone Call

To make a new phone call:

  1. Click [image]. The main panel displays the phone form, and the Batch component displays a phone icon.

  2. Enter the phone number in the To field.

  3. Click Dial. The Phone form changes (as shown below), and when the call is connected, the Status changes from DIALING to TALKING.

Note: You can now edit the Contact information for this contact.

To end the call:

  • Click HangUp.


Incoming

Interactions > Voice Interactions

Answering an Incoming Phone Call

To answer an incoming phone call when the main panel displays the phone form, and the yellow phone icon in the Batch component flashes:

  • Click Answer.

The phone form changes (as shown below), and when the call is connected, the Status changes from RINGING to TALKING.

Note: You can now edit the Contact information for this contact.

To end the call:

  • Click HangUp.


Placing Phone Call on Hold

Interactions > Voice Interactions

Placing a Phone Call on Hold

To place a phone call on hold:

  • Click [image] to place the call on hold. The call is displayed as HELD in the Status column.

  • Click [image] to retrieve the call.


Transferring

Interactions > Voice Interactions

Transferring a Phone Call

To transfer a call to another agent:

  1. Click [image]. The Transfer window is displayed.

  2. In the Destination section, select one of the following three options:

  • Select a phone number—Enter the phone number of the other agent and specify the agent's location.

  • Select a routing point or queue—Select a routing point or queue from the drop-down list.

  • Select an agent—Choose an agent from the list below. If necessary, click Next or Previous to scroll through the lists of agents.

  3. In the Transfer Type section, select one of the following two options:

  • Normal Transfer—The transfer will be completed once you click [image].

  • Single-Step Transfer—The transfer will be completed automatically.

  4. If necessary, enter a reason for transfer in the space provided.

  5. Click OK. While the number is dialing, the caller is placed on HOLD.

  6. Click [image] to complete the transfer.


Conferencing

Interactions > Voice Interactions

Creating a Conference Call

To create a conference call with another agent:

  1. Click [image]. The Conference window is displayed.

  2. Select one of the following two options:

  • Select a phone number—Enter the phone number of the other agent and specify the agent's location.

  • Select an agent—Choose an agent from the list below. If necessary, click Next or Previous to scroll through the lists of agents.

  3. Click OK.

  4. Click [image] to complete the conference call.


Callback

Interactions > Voice Interactions

Using the Callback Feature

When you are logged in to your voice DN you can receive callback interactions. Two modes are available for Callback:

  • Dial—The system automatically dials the contact’s phone number as soon as you are ready on the voice DN.

  • Preview—You have to accept or reject the callback record (in the callback component), before dialing the contact’s phone number (in the interaction voice component).

Note: The delivery mode for callback interactions is configurable in the option of the Callback Server application in Configuration Manager (UCBServer section, delivery_mode option).

The Callback pane, displayed on the right side of the phone form, characterizes a callback interaction. This pane displays information about the callback and allows you accept or reject it.


Outbound Interaction

Interactions > Voice Interactions

Outbound Voice Interactions

Outbound voice interactions are available in the sample application only if an agent is involved with a campaign. In this case, there are several ways to get outbound voice interactions from the sample application, using either predictive or progressive campaign mode.

To view your list of campaigns:

  • Click [image] .

The campaign name is enabled if the campaign is started and running in preview mode. The campaign name is displayed but disabled if a campaign is started in predictive or progressive mode. (Campaigns that have not yet been started in preview mode will be similarly disabled.)

The outbound panel is displayed on the right side of the phone form. When a customer can be contacted through several phone numbers a chain of records is created.

To access the chain of records:

  • Click Get Chain.

The Get Chain dialog box provides information about the customer you are calling, including an alternate phone number(s), a time zone where that phone number is located, a time frame when best to call that phone number, and the type of phone number.

To display all the fields in the Get Chain form:

  1. Modify the configurations of the applicable Field objects in your Tenant in Configuration Manager.

  2. Add the send_attribute parameter with the following values in the "Outbound Contact Server" section of the Annex tab of the following Field objects:

  • For the daily_from object: send_attribute = GSW_FROM

  • For the daily_till object: send_attribute = GSW_UNTIL

  • For the contact_info_type object: send_attribute = GSW_PHONE_TYPE

Note: The "Outbound Contact Server" section may be named default, OCServer, or <OCS application object name>.

For more information about Outbound configuration, see the Outbound Contact Server 7.6 Deployment Guide.

To contact a customer at an alternate phone number:

  1. Select a number from the Get Chain dialog box.

  2. Click OK. The Outbound Voice Interaction screen containing the selected record information is displayed.

Note: Clicking Cancel will close the Get Chain dialog box.

To add to the chain of records:

  1. Click Add Chain on the right side of the phone form..

  2. Enter the following information into the Add Chain dialog box:

  • Contact—The customer's phone number.

  • Time Zone—The time zone where the phone number is located. Select the time zone from the valid list provided in the drop down box.

  • Daily From/Till—The time frame when best to call that phone number.

  • Phone Type—The type of phone number. Select the phone type from the valid list provided in the drop down box.

  3. Click OK to save the information.

Note: Clicking Cancel will close the Add Chain dialog box. No information will be saved.


Proactive Outbound Interaction

Interactions > Voice Interactions

Proactive Outbound Interactions

Proactive outbound interactions enable predictive dialing. As shown in the graphic below, proactive outbound interactions have a unique icon ( [image]) in the Batch component.

Compared to the standard outbound panel, predictive outbound interactions display additional information at the upper left of the interface:

  • Media Type

  • Interaction Type

  • Interaction Subtype

  • Contact Phone Number

They also provide these additional buttons:

  • Connect—Creates a voice interaction with the displayed contact phone number. This new voice interaction shares the outbound record with the proactive outbound interaction.

  • Mark Done—Ends processing of the proactive outbound interaction. The interaction could then be placed in a queue, according to the agent's choice and the queue's specified in the campaign strategy.

  • Accept, Decline—Accepts or declines the ringing proactive outbound interaction.


E-mail Interaction

Interactions > E-mail Interactions

Overview: E-mail Interactions

E-mail interactions are identified by an envelope icon in the Batch component (as shown in the graphic below).

From here, you can:

  • Create a new e-mail

  • Check spelling

  • Attach a file

  • Collaborate on an e-mail

  • Use the Resources panel

  • Specify a favorite standard response

  • Use the Workbin panel


New Email

Interactions > E-mail Interactions

Creating a New E-mail

To create a new e-mail:

  1. Click [image]. The E-mail form is displayed, and the Batch component displays an envelope icon.

  2. Select your e-mail address from the From drop-down list.

  3. Specify the recipient(s) in the To, Cc, and Bcc fields.

You can search for a contact by clicking the button beside any of these fields.

  4. Enter the subject of the e-mail in the field provided.

  5. Type the message of the e-mail or select a standard response.

You can attach a file to this message by clicking Attach.

  6. Click Send.

Note: You can create a draft of this e-mail by clicking Save or Save & Close.


Spell Check

Interactions > E-mail Interactions

Checking Spelling

You must have the proper dictionaries installed to check spelling in other languages.

To spell-check an e-mail message:

  • Click [image].


Attaching

Interactions > E-mail Interactions

Attaching a File

To attach a file to an e-mail message:

  1. On the E-mail form, click Attach. An Open dialog box is displayed.

  2. Browse to the file that you want to attach to the e-mail message.

  3. Click Open. The selected file is displayed in the Attach box.


Collaboration

Interactions > E-mail Interactions

CollaboratiNG WITH OTHER Agents

You can create collaboration invitations to get assistance from other agents when writing an outgoing e-mail. The collaboration panel allows you to send invitations to other agents using the CollaborationInvitation component.

This panel also features the CollaborationHistory and CollaborationViewDetail components to get information on the sent invitations (if invitation has been accepted, fulfilled, or is still in acceptance pending status).

The two available modes of collaboration are Push and Pull.

  • Push—When you receive an incoming collaboration invitation, it is received as an e-mail with type Collaboration_Invit_In. It is displayed as a new interaction, with specific buttons for collaboration (Accept&Reply, Accept&Close, and Decline).

  • Pull—The collaboration invitations are placed in the Collaboration workbin. You must consult your Collaboration workbin to see the invitations.

The collaboration mode is configurable in the options of the GIS application in Configuration Manager (Multimedia section, collaboration-mode option).

Note: You can recall or cancel an invitation to another agent by selecting the sent invitation and clicking Recall.


Resources

Interactions > E-mail Interactions

Using the Resources Panel

The Resources panel displays the Standard Responses Library tab, which contains standard responses in a folder structure.

From here you can specify favorite standard responses.


Favorite

Interactions > E-mail Interactions

Specifying a Favorite Standard Response

Standard responses are available from the Standard Response Library.

To specify a favorite standard response:

  1. Select a standard response from the Standard Responses Library and click Add To Favorite.

  2. Select the Standard Response Favorite tab. The content of the selected standard response is displayed in the pane below.

  3. Select your favorite standard response.

  4. Click Insert. The content is added to the e-mail message.


Workbin

Interactions > E-mail Interactions

Using the Workbin Panel

The Workbin panel displays the interactions in your workbin and allows you to access them.

  • Click [image] to access your Workbin.

The Workbin panel includes WorkbinManager and either the CollaborationHistory and CollaborationViewDetail component set or the History and ViewDetail component set—depending on which set was selected in WorkbinManager.

The graphic below shows that the History and ViewDetails component set was selected.


Overview: Open Media Interaction

Interactions > Open Media Interactions

Overview: Open Media Interactions

Open Media interactions enable agents to receive and manage attachments, like faxes, images, or short message service (SMS) data.

Open Media interactions are identified by the speech-bubble-over-a-circle icon in the Batch component (as shown in the graphic below).

The controls are explained below.

This window shows an incoming Open Media interaction. The left panel shows the following information about this interaction:

  • Contact

  • Subject

  • Interaction Type and Subtype

  • Media type (fax, SMS, and so on)

  • Creation date

  • Binary Content link (if the Open Media interaction has attached binary content—such as an image or fax interaction)

The binary content is displayed either automatically or after you click the Binary Content link, depending on how the InteractionOpenMedia component, ShowContentBinaryOnLoad property, is configured.

  • A minibrowser panel to display the binary content of the interaction.

  • A text box to display the text component of the interaction (for an SMS interaction, for example)

  • Action buttons.

From here, you can:

  • Handle the incoming interaction (that is, open or save the Open Media data).

  • Reply to, or forward the interaction (that is, create an outgoing Open Media interaction).


Incoming Open Media Interaction

Interactions > Open Media Interactions

Handling an Incoming Open Media Interaction

When you have an incoming Open Media interaction, the Batch component shows an Open Media icon [image] and the main panel shows the form (see the graphic below).

To accept or decline an Open Media interaction:

  • Click Accept or Decline.

If you don't click either button within the timeout period (which is 30 seconds by default), Interaction Server automatically declines the interaction and re-submits it to the routing strategy.

If you accept the interaction, you can do the following:

  • Click MarkDone to place the Open Media interaction in a queue or to end its processing, according to the queues specified in your strategy.

  • Click ReplyAsSms to reply to the Open Media interaction via a new Open Media interaction.

  • Click ReplyAsEmail to reply to the Open Media interaction via a new e-mail.

  • Click ReplyAsPhoneCall to reply to the Open Media interaction via a new phone call.

  • Click Binary Content to display the graphical attachment of the interaction in the minibrowser.

  • Right-click Binary Content to save the graphical attachment of the interaction as a disk file.

If you select ReplyAsSms, you can do the following in the resulting form:

  • Transfer the Open Media interaction to another agent.

  • Place the Open Media interaction in a specific queue.


New Open Media Interaction

Interactions > Open Media Interactions

Creating a New Open Media Interaction

If you select ReplyAsSms in the Incoming Open Media Interaction form, the following window is displayed.

The upper fields show basic information about the new interaction.

You can do the following:

  • Edit the text in the text component of the transaction.

  • Click Send to place the new Open Media interaction in an outbound queue.

  • Click [image] to forward the new outbound Open Media interaction to another agent.

  • Click Delete to delete this outbound Open Media interaction.


Removing

Interactions

Removing Interactions

When an interaction is complete, you should remove it from the multimedia sample application.

To remove an interaction:

  1. Select the batch icon from the Batch component.

  2. Click Close.


Merging

Interactions

Merging Interactions

To merge an interaction with a contact, you must have an active interaction showing in your main panel (see the graphic below).

To merge the interaction:

  1. Click Merge this interaction. The Contact Form is displayed.

  2. Search for a contact and click OK.

The active interaction is merged with selected contact.

Note: You can merge all the interactions of the contact associated with the selected interaction to the contact selected in the Contact Form by clicking Merge all interactions.


Interactions

uSING THE Batch Component

Use the Batch component to create new interactions (voice or e-mail).

When you create an interaction or receive a new incoming interaction, the Batch component generates an Interaction_Created event.

When you select the interaction in the batch, an Interaction_Selected event is generated.

When you close the interaction, an Interaction_Closed event is generated.

You can use these batch events to show or hide interactions in the multimedia sample application, as shown in the graphic below.

Note: Because of compatibility issues, voice interactions that you create by right clicking the Batch component will not have High Availability (HA) functionality. If you require HA for the voice interactions that you create, click the New phone call button on the toolbar.


Contacts

Overview: Contacts

This section describes how the sample works with Universal Contact Server (UCS) to provide customer information at the agent desktop.


Contact

Contacts

Using the Contact Panel

The ContactDirectory component enables you to search the contact base. Information about the contact that is selected is displayed in various fields (see the graphic below).

To access the Contact panel:

  • Click

Note: You can also use the Contact panel to create, update, and merge contacts.

When the Contact panel is loaded, the ContactDirectory component is initialized. The Contact component is initialized when a contact is selected using the ContactDirectory component. When events are received using these components, the Contact panel is updated.


Contacts

Creating a New Contact

Use the Contact panel to create a new contact.

To create a new contact:

  1. Select a salutation from the Title drop-down list.

  2. Enter the first and last names of the new contact in the fields provided.

  3. In the E-mail Addresses section, click New. The Value Description Editor dialog box is displayed.

  4. Enter the contact's e-mail address in the Value field.

To differentiate among several e-mail addresses for this contact, enter a description such as Home, Work, or Cell.

  5. Click OK.

  6. In the Phone Numbers section, click New. The Value Description Editor dialog box is displayed.

  7. Enter the contact's phone number in the Value field.

To differentiate among several phone numbers for this contact, enter a description such as Home, Work, or Cell.

  8. Click OK.

The updated contact information is displayed in the Key/Value panel.


Searching

Contacts

Searching for a Contact

You can perform two types of searches—simple and advanced.

Simple Search

  1. In the Contact Form dialog box, enter the search criteria in the field provided.

  2. Click Search.

Advanced Search

  1. In the Contact Form dialog box, select the Advanced search checkbox. The Contact Form dialog box is modified as follows:

Note: If the Default only check box is selected, searches using the Email Address or Phone Number fields will return only entries that match the contact's default e-mail address or phone number.

  2. Enter the advanced search criteria based on the following options:

  • First Name—Can begin with, contain, or match the first name of the contact.

  • Last Name—Can begin with, contain, or match the last name of the contact.

  • Email Address—Can begin with, contain, or match the e-mail address of the contact.

  • Phone Number—Can begin with, contain, or match the phone number of the contact.

  3. Click Search.

To display all contacts:

  • Click Display All.


Contacts

Editing a Contact

In some cases, you might want to edit an existing contact from the Contact panel. In the following example, Jane Doe has married John Smith and wishes to change her name to Jane Smith.

To edit an existing contact:

  1. Select Mrs. from the Title drop-down list to replace Miss.

  2. Change the last name from Doe to Smith.

  3. In the E-mail Addresses section, click Edit. The Value Description Editor dialog box is displayed.

  4. Change the contact's e-mail address from jdoe@home.org to jsmith@home.org.

  5. Click OK.

Note: You can update the new e-mail address by clicking Make Default.

  6. Click Save. The updated contact information is displayed in the Key/Value panel.


Deleting

Contacts

Deleting a Contact

To delete a contact:

  1. Select the contact from the Contact Panel.

  2. Click Delete.

Note: You cannot delete a contact that is involved in a pending interaction.


History

Contacts

Using the History Panel

The History panel displays the history of all interactions for a specific contact.

The History panel is displayed when:

  • an interaction occurs.

  • an interaction is selected in the workbin panel.

  • a contact is selected in the contact panel.

For explanations of the information displayed, see below.

The History panel displays a distinctive icon for each interaction type:

  • Voice

  • Inbound Email

  • Outbound Email

  • Chat

  • Inbound Collaboration

  • Outbound Collaboration

  • Open Media

  • Co-Browse

The lower tabs (View Details, Notepad, Attached Data) display additional information related to the interaction selected in the history tree view.